Bug 1434661 - unbound-event.h is not installed and packaged in unbound-devel
Summary: unbound-event.h is not installed and packaged in unbound-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: unbound
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Petr Menšík
QA Contact: Radka Brychtova
URL:
Whiteboard:
Depends On: 1251440
Blocks: 1457904
TreeView+ depends on / blocked
 
Reported: 2017-03-22 03:20 UTC by Paul Wouters
Modified: 2018-04-10 11:58 UTC (History)
5 users (show)

Fixed In Version: unbound-1.6.3-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1434662 (view as bug list)
Environment:
Last Closed: 2018-04-10 11:58:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
install unbound-event.h like in Fedora (1.71 KB, patch)
2017-09-13 18:29 UTC, Petr Menšík
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0743 0 None None None 2018-04-10 11:58:30 UTC

Description Paul Wouters 2017-03-22 03:20:27 UTC
Description of problem:

some functions in unbound with respect to its libevent support cannot be used because unbound-event.h is not installed. This will be required for libreswan-3.21 that uses this functionality.

The fix is to call:

%{__make} DESTDIR=%{buildroot} unbound-event-install

after the make install line, and add new file to the file list.

I have done this for the fedora package

Comment 5 Paul Wouters 2017-03-24 14:36:18 UTC
note I actually updated that commit to only run install once, eg:

-%{__make} DESTDIR=%{buildroot} install
-%{__make} DESTDIR=%{buildroot} unbound-event-install
+%{__make} DESTDIR=%{buildroot} unbound-event-install install

Comment 6 Tomáš Hozza 2017-03-24 15:13:41 UTC
(In reply to Paul Wouters from comment #5)
> note I actually updated that commit to only run install once, eg:
> 
> -%{__make} DESTDIR=%{buildroot} install
> -%{__make} DESTDIR=%{buildroot} unbound-event-install
> +%{__make} DESTDIR=%{buildroot} unbound-event-install install

Yes, I know, but this is more a cosmetic modification and has no impact on the result.

Comment 7 Tomáš Hozza 2017-03-27 10:22:16 UTC
I looked at the code and it is not as simple as just installing the header, as the event API is not preset in the 1.4.20 version at all.

This could be ideally solved by some future rebase of Unbound or backported.

Moving to 7.5 as this is not material for 7.4 at this point.

Comment 8 Paul Wouters 2017-04-05 00:59:06 UTC
note that unbound-1.6.0 still fails to install the include file but does contain the libevent code in the shared library. The event code was introduced in unbound-1.4.22 upstream

Comment 10 Petr Menšík 2017-09-13 18:29:32 UTC
Created attachment 1325588 [details]
install unbound-event.h like in Fedora

Comment 22 errata-xmlrpc 2018-04-10 11:58:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0743


Note You need to log in before you can comment on or make changes to this bug.